[tool.poetry]
name = "dottyapi"
version = "0.1.0"
description = "Dotty API"
authors = ["Will <will@dotty.cloud>"]

[tool.poetry.dependencies]
python = "^3.12"
flask = "^3.0.3"
bcrypt = "^4.2.0"
pyjwt = "^2.9.0"
pymongo = "^4.10.1"
requests = "^2.32.3"
dnspython = "^2.6.1"
gunicorn = "^23.0.0"
webargs = "^8.6.0"
sentry-sdk = {extras = ["flask"], version = "^2.15.0"}

[tool.poetry.dev-dependencies]

[tool.poetry.group.dev.dependencies]
ruff = "^0.6.9"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
